Pegex::Tree(3)

NAME
Pegex::Tree - Pegex Parse Tree Receiver

SYNOPSIS
    use Pegex;
    $tree = pegex($grammar, 'Pegex::Tree')->parse($input);

DESCRIPTION
Pegex::Tree is receiver class that will shape the captured data from a Pegex parse operation into a tree made out of arrays.

This module is a very (probably the most) common base class for writing your own receiver class.

AUTHOR
Ingy döt Net <ingy@cpan.org>

COPYRIGHT AND LICENSE
Copyright 2010-2020. Ingy döt Net.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://www.perl.com/perl/misc/Artistic.html>